package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-03-10
 * 修订历史：2020-03-10
 * 描述：
 */
public class SettlementReport {


    /**
     * success : true
     * sysTime : 1583923576461
     * data : {"vo":{"prices":256,"scamount":0,"disamount":0,"payNum":0,"payamount":0,"tipnum":0,"tipsPrice":0,"totamount":256,"num":2,"person":7},"analysis":[{"typeName":"堂食","num":3,"amount":678},{"typeName":"已完成賬單","num":1,"amount":201},{"typeName":"未完成賬單","num":2,"amount":477},{"typeName":"本月累計營業額","num":0,"amount":678}],"restaurantOperation":{"id":11,"uid":297,"restaurantId":410,"type":1,"openTime":1583919880776,"operationTime":1583922285557,"createTime":1583922285557},"cash":[{"payName":"現金","payNum":2,"payAmount":256}]}
     */

    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean implements Serializable {
        /**
         * yesterdayTime : 2020-03-12 19:19:44
         * vo : {"prices":256,"scamount":0,"disamount":0,"payNum":0,"payamount":0,"tipnum":0,"tipsPrice":0,"totamount":256,"num":2,"person":7}
         * analysis : [{"typeName":"堂食","num":3,"amount":678},{"typeName":"已完成賬單","num":1,"amount":201},{"typeName":"未完成賬單","num":2,"amount":477},{"typeName":"本月累計營業額","num":0,"amount":678}]
         * restaurantOperation : {"id":11,"uid":297,"restaurantId":410,"type":1,"openTime":1583919880776,"operationTime":1583922285557,"createTime":1583922285557}
         * cash : [{"payName":"現金","payNum":2,"payAmount":256}]
         */

        private String yesterdayTime;
        private VoBean vo;
        private RestaurantOperationBean restaurantOperation;
        private List<AnalysisBean> analysis;
        private List<CashBean> cash;
        private String currentTime;
        private String startTime;



        public String getCurrentTime() {
            return currentTime;
        }

        public void setCurrentTime(String currentTime) {
            this.currentTime = currentTime;
        }

        public String getStartTime() {
            return startTime;
        }

        public void setStartTime(String startTime) {
            this.startTime = startTime;
        }

        public String getYesterdayTime() {
            return yesterdayTime;
        }

        public void setYesterdayTime(String yesterdayTime) {
            this.yesterdayTime = yesterdayTime;
        }

        public VoBean getVo() {
            return vo;
        }

        public void setVo(VoBean vo) {
            this.vo = vo;
        }

        public RestaurantOperationBean getRestaurantOperation() {
            return restaurantOperation;
        }

        public void setRestaurantOperation(RestaurantOperationBean restaurantOperation) {
            this.restaurantOperation = restaurantOperation;
        }

        public List<AnalysisBean> getAnalysis() {
            return analysis;
        }

        public void setAnalysis(List<AnalysisBean> analysis) {
            this.analysis = analysis;
        }

        public List<CashBean> getCash() {
            return cash;
        }

        public void setCash(List<CashBean> cash) {
            this.cash = cash;
        }


        public static class VoBean  implements Serializable{
            /**
             * prices : 256
             * scamount : 0
             * disamount : 0
             * payNum : 0
             * payamount : 0
             * tipnum : 0
             * tipsPrice : 0
             * totamount : 256
             * deliverycharge : 0
             * num : 2
             * person : 7
             */

            private double prices;
            private double scamount;
            private double disamount;
            private int payNum;
            private double payamount;
            private int tipnum;
            private double tipsPrice;
            private double totamount;
            private double deliverycharge;
            private int num;
            private int person;

            public double getDeliverycharge() {
                return deliverycharge;
            }

            public void setDeliverycharge(double deliverycharge) {
                this.deliverycharge = deliverycharge;
            }

            public double getPrices() {
                return prices;
            }

            public void setPrices(double prices) {
                this.prices = prices;
            }

            public double getScamount() {
                return scamount;
            }

            public void setScamount(double scamount) {
                this.scamount = scamount;
            }

            public double getDisamount() {
                return disamount;
            }

            public void setDisamount(double disamount) {
                this.disamount = disamount;
            }

            public int getPayNum() {
                return payNum;
            }

            public void setPayNum(int payNum) {
                this.payNum = payNum;
            }

            public double getPayamount() {
                return payamount;
            }

            public void setPayamount(double payamount) {
                this.payamount = payamount;
            }

            public int getTipnum() {
                return tipnum;
            }

            public void setTipnum(int tipnum) {
                this.tipnum = tipnum;
            }

            public double getTipsPrice() {
                return tipsPrice;
            }

            public void setTipsPrice(double tipsPrice) {
                this.tipsPrice = tipsPrice;
            }

            public double getTotamount() {
                return totamount;
            }

            public void setTotamount(double totamount) {
                this.totamount = totamount;
            }

            public int getNum() {
                return num;
            }

            public void setNum(int num) {
                this.num = num;
            }

            public int getPerson() {
                return person;
            }

            public void setPerson(int person) {
                this.person = person;
            }
        }

        public static class RestaurantOperationBean  implements Serializable{
            /**
             * id : 11
             * uid : 297
             * restaurantId : 410
             * type : 1
             * openTime : 1583919880776
             * operationTime : 1583922285557
             * createTime : 1583922285557
             */

            private int id;
            private int uid;
            private int restaurantId;
            private int type;
            private long openTime;
            private long operationTime;
            private long createTime;

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getUid() {
                return uid;
            }

            public void setUid(int uid) {
                this.uid = uid;
            }

            public int getRestaurantId() {
                return restaurantId;
            }

            public void setRestaurantId(int restaurantId) {
                this.restaurantId = restaurantId;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }

            public long getOpenTime() {
                return openTime;
            }

            public void setOpenTime(long openTime) {
                this.openTime = openTime;
            }

            public long getOperationTime() {
                return operationTime;
            }

            public void setOperationTime(long operationTime) {
                this.operationTime = operationTime;
            }

            public long getCreateTime() {
                return createTime;
            }

            public void setCreateTime(long createTime) {
                this.createTime = createTime;
            }
        }

        public static class AnalysisBean  implements Serializable{
            /**
             * typeName : 堂食
             * num : 3
             * person : 2
             * amount : 678
             */

            private String typeName;
            private int num;
            private int person;
            private double amount;

            public String getTypeName() {
                return typeName;
            }

            public void setTypeName(String typeName) {
                this.typeName = typeName;
            }

            public int getNum() {
                return num;
            }

            public void setNum(int num) {
                this.num = num;
            }

            public int getPerson() {
                return person;
            }

            public void setPerson(int person) {
                this.person = person;
            }

            public double getAmount() {
                return amount;
            }

            public void setAmount(double amount) {
                this.amount = amount;
            }
        }

        public static class CashBean  implements Serializable{
            /**
             * payName : 現金
             * payNum : 2
             * payAmount : 256
             * payType : 1001
             */

            private String payName;
            private int payNum;
            private double payAmount;
            private int payType;

            public String getPayName() {
                return payName;
            }

            public void setPayName(String payName) {
                this.payName = payName;
            }

            public int getPayNum() {
                return payNum;
            }

            public void setPayNum(int payNum) {
                this.payNum = payNum;
            }

            public double getPayAmount() {
                return payAmount;
            }

            public void setPayAmount(double payAmount) {
                this.payAmount = payAmount;
            }

            public int getPayType() {
                return payType;
            }

            public void setPayType(int payType) {
                this.payType = payType;
            }
        }
    }
}
